package com.test.RCET.BTRelay;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Activity;
import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;
import java.util.Set;

@SuppressLint({"NewApi"})
@TargetApi(5)
public class BluetoothfindActivity extends Activity {
    private static final boolean D = true;
    public static String EXTRA_DEVICE_ADDRESS = "设备地址";
    private static final String TAG = "DeviceListActivity";
    private int Button_ConnectMode_ck;
    /* access modifiers changed from: private */
    public BluetoothAdapter mBtAdapter;
    @SuppressLint({"NewApi"})
    private AdapterView.OnItemClickListener mDeviceClickListener = new AdapterView.OnItemClickListener() {
        public void onItemClick(AdapterView<?> adapterView, View v, int arg2, long arg3) {
            BluetoothfindActivity.this.mBtAdapter.cancelDiscovery();
            String info = ((TextView) v).getText().toString();
            String address = info.substring(info.length() - 17);
            Intent intent = new Intent();
            intent.putExtra(BluetoothfindActivity.EXTRA_DEVICE_ADDRESS, address);
            BluetoothfindActivity.this.setResult(-1, intent);
            BluetoothfindActivity.this.finish();
        }
    };
    /* access modifiers changed from: private */
    public ArrayAdapter<String> mNewDevicesArrayAdapter;
    /* access modifiers changed from: private */
    public ArrayAdapter<String> mPairedDevicesArrayAdapter;
    private final BroadcastReceiver mReceiver = new BroadcastReceiver() {
        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            Button scanButton = (Button) BluetoothfindActivity.this.findViewById(R.id.button_scan);
            if ("android.bluetooth.device.action.FOUND".equals(action)) {
                BluetoothDevice device = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                if (device.getBondState() != 12) {
                    BluetoothfindActivity.this.mNewDevicesArrayAdapter.add(String.valueOf(device.getName()) + "\n" + device.getAddress());
                } else {
                    BluetoothfindActivity.this.mPairedDevicesArrayAdapter.add(String.valueOf(device.getName()) + "\n" + device.getAddress());
                }
            } else if ("android.bluetooth.adapter.action.DISCOVERY_FINISHED".equals(action)) {
                BluetoothfindActivity.this.setProgressBarIndeterminateVisibility(false);
                BluetoothfindActivity.this.setTitle("选择要连接的设备");
                scanButton.performClick();
                if (BluetoothfindActivity.this.mNewDevicesArrayAdapter.getCount() == 0) {
                    BluetoothfindActivity.this.mNewDevicesArrayAdapter.add("请耐心等待^_^");
                }
            }
        }
    };

    /* access modifiers changed from: protected */
    @SuppressLint({"NewApi"})
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(5);
        setContentView(R.layout.device_list);
        this.Button_ConnectMode_ck = getIntent().getExtras().getInt("key");
        setResult(0);
        ((Button) findViewById(R.id.button_scan)).setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                BluetoothfindActivity.this.doDiscovery();
                v.setVisibility(8);
            }
        });
        this.mPairedDevicesArrayAdapter = new ArrayAdapter<>(this, R.layout.device_name);
        this.mNewDevicesArrayAdapter = new ArrayAdapter<>(this, R.layout.device_name);
        ListView pairedListView = (ListView) findViewById(R.id.paired_devices);
        pairedListView.setAdapter(this.mPairedDevicesArrayAdapter);
        pairedListView.setOnItemClickListener(this.mDeviceClickListener);
        ListView newDevicesListView = (ListView) findViewById(R.id.new_devices);
        newDevicesListView.setAdapter(this.mNewDevicesArrayAdapter);
        newDevicesListView.setOnItemClickListener(this.mDeviceClickListener);
        IntentFilter filter = new IntentFilter("android.bluetooth.device.action.FOUND");
        registerReceiver(this.mReceiver, filter);
        IntentFilter filter2 = new IntentFilter("android.bluetooth.adapter.action.DISCOVERY_FINISHED");
        registerReceiver(this.mReceiver, filter2);
        this.mBtAdapter = BluetoothAdapter.getDefaultAdapter();
        Set<BluetoothDevice> pairedDevices = this.mBtAdapter.getBondedDevices();
        if (pairedDevices.size() > 0) {
            findViewById(R.id.title_paired_devices).setVisibility(0);
            for (BluetoothDevice device : pairedDevices) {
                this.mPairedDevicesArrayAdapter.add(String.valueOf(device.getName()) + "\n" + device.getAddress());
                if (this.Button_ConnectMode_ck == 1) {
                    ListView listView = (ListView) findViewById(R.id.title_paired_devices);
                    pairedListView.performItemClick(pairedListView.getAdapter().getView(0, (View) null, (ViewGroup) null), 0, pairedListView.getItemIdAtPosition(0));
                }
            }
            return;
        }
        this.mPairedDevicesArrayAdapter.add("没有任何蓝牙设备");
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
        if (this.mBtAdapter != null) {
            this.mBtAdapter.cancelDiscovery();
        }
        unregisterReceiver(this.mReceiver);
    }

    public void OnCancel(View v) {
        finish();
    }

    /* access modifiers changed from: private */
    @SuppressLint({"NewApi"})
    public void doDiscovery() {
        Log.d(TAG, "doDiscovery()");
        setProgressBarIndeterminateVisibility(true);
        setTitle("查找设备中...");
        findViewById(R.id.title_new_devices).setVisibility(0);
        if (this.mBtAdapter.isDiscovering()) {
            this.mBtAdapter.cancelDiscovery();
        }
        this.mBtAdapter.startDiscovery();
    }
}
